<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <style>
      /*custom font*/
      @import url(https://fonts.googleapis.com/css?family=Montserrat);

      /*basic reset*/
      * {margin: 0; padding: 0;}

      html {
        height: 100%;
        /*Image only BG fallback*/
        
        /*background = gradient + image pattern combo*/
        background: 
          linear-gradient(rgba(196, 102, 0, 0.6), rgba(155, 89, 182, 0.6));
      }

      body {
        font-family: montserrat, arial, verdana;
      }
      /*form styles*/
      #msform {
        width: 400px;
        margin: 50px auto;
        text-align: center;
        position: relative;
      }
      #msform fieldset {
        text-align: left;
        background: white;
        border: 0 none;
        border-radius: 3px;
        box-shadow: 0 0 15px 1px rgba(0, 0, 0, 0.4);
        padding: 20px 30px;
        box-sizing: border-box;
        width: 80%;
        margin: 0 10%;
        
        /*stacking fieldsets above each other*/
        position: relative;
      }
      /*Hide all except first fieldset*/
      #msform fieldset:not(:first-of-type) {
        display: none;
      }
      /*inputs*/
      #msform input, #msform textarea {
        padding: 15px;
        border: 1px solid #ccc;
        border-radius: 3px;
        margin-bottom: 10px;
        /* width: 100%; */
        box-sizing: border-box;
        font-family: montserrat;
        color: #2C3E50;
        font-size: 13px;
      }
      /*buttons*/
      #msform .action-button {
        display: none;
        width: 100px;
        background: #27AE60;
        font-weight: bold;
        color: white;
        border: 0 none;
        border-radius: 1px;
        cursor: pointer;
        padding: 10px 5px;
        margin: 10px 5px;
      }

      #msform .action-button.active {
        display: inline-block;
      }

      #msform .action-button.active:hover, #msform .action-button.active:focus {
        box-shadow: 0 0 0 2px white, 0 0 0 3px #27AE60;
      }

      /*headings*/
      .fs-title {
        font-size: 15px;
        text-transform: uppercase;
        color: #2C3E50;
        margin-bottom: 10px;
      }
      .fs-subtitle {
        font-weight: normal;
        font-size: 13px;
        color: #666;
        margin-bottom: 20px;
      }
      /*progressbar*/
      #progressbar {
        margin-bottom: 30px;
        overflow: hidden;
        /*CSS counters to number the steps*/
        counter-reset: step;
      }
      #progressbar li {
        list-style-type: none;
        color: white;
        text-transform: uppercase;
        font-size: 9px;
        width: 33.33%;
        float: left;
        position: relative;
      }
      #progressbar li:before {
        content: counter(step);
        counter-increment: step;
        width: 20px;
        line-height: 20px;
        display: block;
        font-size: 10px;
        color: #333;
        background: white;
        border-radius: 3px;
        margin: 0 auto 5px auto;
      }
      /*progressbar connectors*/
      #progressbar li:after {
        content: '';
        width: 100%;
        height: 2px;
        background: white;
        position: absolute;
        left: -50%;
        top: 9px;
        z-index: -1; /*put it behind the numbers*/
      }
      #progressbar li:first-child:after {
        /*connector not needed before the first step*/
        content: none; 
      }
      /*marking active/completed steps green*/
      /*The number of the step and the connector before it = green*/
      #progressbar li.active:before,  #progressbar li.active:after{
        background: #27AE60;
        color: white;
      }
    </style>
</head>
<body>
<!-- multistep form -->
  <form id="msform" action='' method='post'>{% csrf_token %}
    <!-- progressbar -->
    <ul id="progressbar">
      <li class="active">Email Address</li>
      <li>Password</li>
      <li>Confirm Password</li>
      <li>NITC Relation</li>
      <li>Personal Details</li>
    </ul>
    <!-- fieldsets -->
    <fieldset id="email-step">
      <h2 class="fs-title">Enter your email</h2>
      <h3 class="fs-subtitle">This is step 1</h3>
      <input type="text" name="email" placeholder="Email" />
      <input type="button" name="next" class="next action-button active" value="Next" />
    </fieldset>
    <fieldset id="pass-step">
      <h2 class="fs-title">Enter a password</h2>
      <input type="password" name="pass" placeholder="Password" />
      <input type="button" name="previous" class="previous action-button active" value="Previous" />
      <input type="button" name="next" class="next action-button active" value="Next" />
    </fieldset>
    <fieldset id="cpass-step">
      <h2 class="fs-title">Confirm password</h2>
      <input type="password" name="cpass" placeholder="Password" />
      <input type="button" name="previous" class="previous action-button active" value="Previous" />
      <input type="button" name="next" class="next action-button active" value="Next" />
    </fieldset>
    <fieldset id="nitc-step">
      <h2 class="fs-title">NITC Relation</h2>
      <input type="radio" name="nitc-relation" id='student' value='student' />
      <label for='student'>Student</label><br>
      <input type="radio" name="nitc-relation" id='faculty' value='Faculty' />
      <label for='faculty'>Faculty</label><br>
      <input type="radio" name="nitc-relation" id='alumni' value='Alumni' />
      <label for='alumni'>Alumni</label><br>
      <input type="button" name="previous" class="previous action-button active" value="Previous" />
      <input type="button" name="next" class="next action-button " value="Next" />
    </fieldset>
    <fieldset id="details-step">
      <h2 class="fs-title">Personal Details</h2>
      <input type="text" name="fullname" placeholder="Name" />
      <input type="text" name="dname" placeholder="Nick name" />
      <input type="text" name="phone" placeholder="Phone" />
      <input type="button" name="previous" class="previous action-button active" value="Previous" />
      <input type="submit" name="submit" class="submit action-button" value="Submit" />
    </fieldset>
  </form>
  <script
			  src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"
        crossorigin="anonymous"></script>
  <script
			  src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.3/jquery.easing.min.js"
        crossorigin="anonymous"></script>
  <script>
    //jQuery time
    var current_fs, next_fs, previous_fs; //fieldsets
    var left, opacity, scale; //fieldset properties which we will animate
    var animating; //flag to prevent quick multi-click glitches

    // Live email validation
    function isEmail(email) {
      var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
      return regex.test(email);
    }

    var allgood = false
    function handleSubmit(e) {
      if (!allgood) {
        if (e.preventDefault) { e.preventDefault() }
        return false
      }
      return true
    }
    
    var form = document.getElementById('msform');
    if (form.attachEvent) {
      form.attachEvent('submit', handleSubmit)
    } else {
      console.log('listening')
      form.addEventListener('submit', handleSubmit)
    }

    var email = $('#msform #email-step').find('input[name=email]')
    var proceed1 = $('#msform #email-step').find('input[name=next]')
    email.on('input', () => {
      proceed1.addClass('loading')
      if (isEmail(email.val())) {
        proceed1.addClass('active')
      } else {
        proceed1.removeClass('active')
      }
      proceed1.removeClass('loading')
    })

    var pass = $('#msform #pass-step').find('input[name=pass]')
    proceed2 = $('#msform #pass-step').find('input[name=next]')
    pass.on('input', () => {
      proceed2.addClass('loading')
      if (pass.val().length > 7) {
        proceed2.addClass('active')
      } else {
        proceed2.removeClass('active')
      }
      proceed2.removeClass('loading')
    })
    
    var cpass = $('#msform #cpass-step').find('input[name=cpass]')
    proceed3 = $('#msform #cpass-step').find('input[name=next]')
    cpass.on('input', () => {
      proceed3.addClass('loading')
      if (cpass.val() === pass.val()) {
        proceed3.addClass('active')
      } else {
        proceed3.removeClass('active')
      }
      proceed3.removeClass('loading')
    })

    var nitc_r = $('#msform #nitc-step').find('input[name=nitc-relation]')
    var proceed4 = $('#msform #nitc-step').find('input[name=next]')
    nitc_r.change(() => {
      proceed4.addClass('loading')
      if (nitc_r.val()) {
        proceed4.addClass('active')
      } else {
        proceed4.removeClass('active')
      }
      proceed4.removeClass('loading')
    })
    
    var fullname = $('#msform #details-step').find('input[name=fullname]')
    var proceed5 = $('#msform #details-step').find('input[name=submit]')
    fullname.on('input', () => {
      proceed5.addClass('loading')
      if (fullname.val().length > 2) {
        proceed5.addClass('active')
        allgood = true
      } else {
        proceed5.removeClass('active')
      }
      proceed5.removeClass('loading')
    })

    $(".next").click(function(){
      if(animating) return false;
      animating = true;
      
      current_fs = $(this).parent();
      next_fs = $(this).parent().next();
      
      //activate next step on progressbar using the index of next_fs
      $("#progressbar li").eq($("fieldset").index(next_fs)).addClass("active");
      
      //show the next fieldset
      next_fs.show(); 
      //hide the current fieldset with style
      current_fs.animate({opacity: 0}, {
        step: function(now, mx) {
          //as the opacity of current_fs reduces to 0 - stored in "now"
          //1. scale current_fs down to 80%
          scale = 1 - (1 - now) * 0.2;
          //2. bring next_fs from the right(50%)
          left = (now * 50)+"%";
          //3. increase opacity of next_fs to 1 as it moves in
          opacity = 1 - now;
          current_fs.css({
            'transform': 'scale('+scale+')',
            'position': 'absolute'
          });
          next_fs.css({'left': left, 'opacity': opacity});
        }, 
        duration: 800, 
        complete: function(){
          current_fs.hide();
          animating = false;
        }, 
        //this comes from the custom easing plugin
        easing: 'easeInOutBack'
      });
    });

    $(".previous").click(function(){
      if(animating) return false;
      animating = true;
      
      current_fs = $(this).parent();
      previous_fs = $(this).parent().prev();
      
      //de-activate current step on progressbar
      $("#progressbar li").eq($("fieldset").index(current_fs)).removeClass("active");
      
      //show the previous fieldset
      previous_fs.show(); 
      //hide the current fieldset with style
      current_fs.animate({opacity: 0}, {
        step: function(now, mx) {
          //as the opacity of current_fs reduces to 0 - stored in "now"
          //1. scale previous_fs from 80% to 100%
          scale = 0.8 + (1 - now) * 0.2;
          //2. take current_fs to the right(50%) - from 0%
          left = ((1-now) * 50)+"%";
          //3. increase opacity of previous_fs to 1 as it moves in
          opacity = 1 - now;
          current_fs.css({'left': left});
          previous_fs.css({'transform': 'scale('+scale+')', 'opacity': opacity});
        }, 
        duration: 800, 
        complete: function(){
          current_fs.hide();
          animating = false;
        }, 
        //this comes from the custom easing plugin
        easing: 'easeInOutBack'
      });
    });

  </script>
</body>
</html>